# $Id: gkrellm-plugins.spec,v 1.13 2002/11/28 19:45:42 dude Exp $

%define gkplugindir	%{_libdir}/gkrellm2/plugins

%define weatherver	2.0.4
%define xmmsver		2.1.5
%define setiver		0.7.0b
%define dnetver		0.11pre1
%define volumever	2.1.6
%define mailwatchver	2.0
#define snmpver		0.18
%define radiover	2.0.1
%define wirelessver	2.0.1
#define earthver	0.3
%define aclockver	0.3.2
%define kamver		2.0.0
#define newsver		0.3
#define reminderver	0.3.5
%define moonver		0.5
#define innver		0.5-1
#define logwatchver	1.0
%define acpiver		0.5
#define mousever	0.0.2
%define multipingver	2.0.1
#define whover		0.4
%define x86ver		0.0.2
%define ssver		2.3
#define gnomever	0.1
#define consolever	0.1.2
#define taskmanver	0.0.7
%define shootver	0.4.1
#define gammaver	0.0.3
%define	flynnver	0.6

Summary: Some neat plugins for GKrellM.
Name: gkrellm-plugins
Version: 2.1.0
Release: fr5
Epoch: 2
License: GPL
Group: Applications/System
Source0: http://kmlinux.fjfi.cvut.cz/~makovick/gkrellm/gkrellweather-%{weatherver}.tgz
Source1: http://gkrellm.luon.net/files/gkrellmms-%{xmmsver}.tar.gz
Source2: http://xavier.serpaggi.free.fr/seti/seti-%{setiver}.tar.bz2
Source3: http://www.tuxfan.net/gkrelldnet-%{dnetver}.tar.gz
Source4: http://gkrellm.luon.net/files/gkrellm-volume-%{volumever}.tar.gz
Source5: http://gkrellm.luon.net/files/gkrellm-mailwatch-%{mailwatchver}.tar.gz
#Source6: http://triq.net/gkrellm/gkrellm_snmp-%{snmpver}.tar.gz
Source7: http://gkrellm.luon.net/files/gkrellm-radio-%{radiover}.tar.gz
Source8: http://gkrellm.luon.net/files/gkrellmwireless-%{wirelessver}.tar.gz
#Source9: http://www.geocities.com/saintdead/earth_anim-%{earthver}.tar.gz
Source10: http://www.geocities.com/m_muthukumar/gkrellaclock-%{aclockver}.tar.gz
Source11: http://download.sf.net/gkrellkam/gkrellkam_%{kamver}.tar.gz
#Source12: http://download.sf.net/gk-newsticker/gkrellm-newsticker-%{newsver}.tar.gz
#Source13: http://www.engr.orst.edu/~simonsen/reminder/reminder-%{reminderver}.tar.gz
Source14: http://download.sf.net/gkrellmoon/gkrellmoon-%{moonver}.tar.gz
#Source15: http://download.alcove-labs.org/addons/gkrinn/gkrinn_%{innver}.tar.gz
#Source16: http://www.uberh4x0r.org/download/gkrellm/glogwatch-%{logwatchver}.tar.gz
Source17: http://uname.dyndns.org/~uname/files/gkacpi/gkacpi-%{acpiver}.tar.gz
#Source18: http://ssl.usu.edu/paul/gkrellmouse/gkrellmouse_%{mousever}.tar.gz
Source19: http://kmlinux.fjfi.cvut.cz/~makovick/gkrellm/gkrellm-multiping-%{multipingver}.tgz
#Source20: http://web.wt.net/~billw/gkrellm/Plugins/gkrellmwho-%{whover}.tar.gz
Source21: http://anchois.free.fr/gkx86info%{x86ver}.tar.gz
Source22: http://web.wt.net/~billw/gkrellmss/gkrellmss-%{ssver}.tar.gz
#Source23: http://web.wt.net/~billw/gkrellm/Plugins/gkrellm-gnome.tar.gz
#Source24: http://gkrellm.luon.net/files/consolewatch-%{consolever}.tar.gz
#Source25: http://members.dingoblue.net.au/~gefdavis/gktaskman/files/gktaskman-%{taskmanver}.tar.gz
Source26: http://download.sf.net/gkrellshoot/gkrellshoot-%{shootver}.tar.gz
#Source27: http://gthiemonge.free.fr/gkrellm-gamma/gkrellm-gamma-%{gammaver}.tar.bz2
Source28: http://horus.comlab.uni-rostock.de/flynn/gkrellflynn-%{flynnver}.tar.gz
Patch0: http://xavier.serpaggi.free.fr/seti/seti-0.7.0b-gkrellm2.diff
URL: http://freshrpms.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# xmms needs GTK 1
BuildRequires: gkrellm-devel >= 2.0, gtk2-devel, gtk+-devel, xmms-devel, perl
BuildRequires: fftw-devel, esound-devel
#BuildRequires: imlib-devel
#BuildRequires: curl-devel, ucd-snmp-devel, openssl-devel, gnome-libs-devel
#BuildRequires: db1-devel

%description
This is a "previously small but now bigger and bigger" ;-)  collection of
plugins for GKrellM, the GNU Krell Monitor.


%package media
Summary: Multimedia plugins for GKrellM.
Group: Applications/System
Requires: gkrellm >= 2.1.0, xmms, esound, fftw
Obsoletes: gkrellm-xmms, gkrellm-volume, gkrellm-radio

# gamma correction
%description media
This package contains the following multimedia plugins for GKrellM, the GNU
Krell Monitor : xmms, volume, radio and esd meter.


%package misc
Summary: Amusement and miscellaneous plugins for GKrellM.
Group: Applications/System
Requires: gkrellm >= 2.1.0
Requires: perl(LWP::UserAgent)
#Requires: curl
Obsoletes: gkrellm-dnet
Obsoletes: gkrellm-seti

# mouse odometer, earth animation, news ticker, todo list
%description misc
This package contains the following amusements plugins for GKrellM, the GNU
Krell Monitor : Seti@HOME, distributed.net, weather, moon clock, analog clock,
gkrellkam and Flynn.


%package utils
Summary: System and network utility plugins for GKrellM.
Group: Applications/System
Requires: gkrellm >= 2.1.0, ImageMagick
Obsoletes: gkrellm-mailwatch, gkrellm-wireless

# news monitor, logwatch, who, console watch, reminder
%description utils
This package contains the following utility plugins for GKrellM, the GNU
Krell Monitor : ACPI monitor, mail watch, wireless network monitor, multi
ping utility, x86 cpu speed and screenshot/lock.


#%package snmp
#Summary: An snmp monitoring plugin for GKrellM.
#Group: Applications/System
#Requires: gkrellm >= 2.1.0, ucd-snmp
#Obsoletes: gkrellm-snmp

#%description snmp
#This is a snmp monitoring plugin for GKrellM, the GNU Krell Monitor.


#%package gnome
#Summary: An plugin for easily setting up GNOME to use GKrellM.
#Group: Applications/System
#Requires: gkrellm >= 2.1.0, gnome-core

#%description gnome
#This is just a configuration plugin for GkrellM that lets you easily
#configure GNOME to use GkrellM without having to edit startup scripts
#and so on yourself.


%prep
%setup -q -T -a0 -a1 -a2 -a3 -a4 -a5 -a7 -a8 -a10 -a11 -a14 -a17 -a19 -a21 -a22 -a26 -a28 -c %{name}-%{version}
# -a6 -a9 -a12 -a13 -a15 -a16 -a18 -a20 -a23 -a24 -a25 -a27
%patch0 -p0
perl -pi -e \
  's|/usr/.+/GrabWeather|%{_bindir}/GrabWeather|' \
  gkrellweather-%{weatherver}/gkrellweather.c

%build
mkdir plugins
# No configure macro here, hence manual exports...
CFLAGS="$RPM_OPT_FLAGS"   ; export CFLAGS
CXXFLAGS="$RPM_OPT_FLAGS" ; export CXXFLAGS
( cd gkrellweather-%{weatherver} ; make ; mv *.so ../plugins ; cp GrabWeather .. )
# gkrellmms contains locales, skipping them for now.
( cd gkrellmms ; make ; mv *.so ../plugins )
( cd seti-%{setiver} ; make ; mv *.so ../plugins )
( cd gkrelldnet-%{dnetver} ; make ; mv *.so ../plugins ; cp dnetw .. )
# volume plugin contains locales, skipping them for now.
( cd gkrellm-volume ; make ; mv *.so ../plugins )
( cd gkrellm-mailwatch ; make ; mv *.so ../plugins )
#( cd gkrellm_snmp-%{snmpver} ; make ; mv *.so ../plugins )
( cd gkrellm-radio ; make ; mv *.so ../plugins )
( cd gkrellmwireless ; make ; mv *.so ../plugins )
#( cd earth_anim ; make ; mv *.so ../plugins )
( cd gkrellAclock-%{aclockver} ; make ; mv *.so ../plugins )
( cd gkrellkam-%{kamver} ; make ; mv *.so ../plugins ; mv *.5 .. )
#( cd gkrellm-newsticker ; make ; mv *.so ../plugins )
#( cd reminder-%{reminderver} ; make ; mv *.so ../plugins )
( cd gkrellmoon-%{moonver} ; make ; mv *.so ../plugins )
#( cd gkrinn ; make ; mv *.so ../plugins )
#( cd glogwatch-%{logwatchver} ; make ; mv *.so ../plugins )
( cd gkacpi-%{acpiver} ; make ; mv *.so ../plugins )
#( cd gkrellmouse-%{mousever} ; make ; mv *.so ../plugins )
#( cd gkrellm-multiping-%{multipingver} ; make ; mv *.so ../plugins ; cp pinger .. )
#( cd gkrellmwho-%{whover} ; make ; mv *.so ../plugins )
( cd gkx86info%{x86ver} ; ./build ; mv *.so ../plugins )
( cd gkrellmss-%{ssver} ; make ; mv src/*.so ../plugins )
#( cd gkrellm-gnome ; make ; mv src/*.so ../plugins )
#( cd gkrellm-consolewatch-%{consolever} ; make ; mv *.so ../plugins )
#( cd gktaskman ; make ; mv *.so ../plugins )
( cd gkrellShoot-%{shootver} ; make ; mv *.so ../plugins )
#( cd gkrellm-gamma-%{gammaver} ; make ; mv *.so ../plugins )
( cd gkrellflynn-%{flynnver} ; make gkrellm2 ; mv *.so ../plugins )

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gkplugindir}
install -m 755 plugins/* %{buildroot}%{gkplugindir}
mkdir -p %{buildroot}%{_bindir}
install -m 755 dnetw %{buildroot}%{_bindir}
install -m 755 GrabWeather %{buildroot}%{_bindir}
#install -m 755 pinger %{buildroot}%{gkplugindir}
mkdir -p %{buildroot}%{_mandir}/man5
# There may be dirs ending with .5 ...
install -m 644 `find . -type f -name "*.5"` %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%files media
%defattr(-, root, root)
%{gkplugindir}/gkrellmms.so
%{gkplugindir}/volume.so
%{gkplugindir}/radio.so
%{gkplugindir}/gkrellmss.so
#%{gkplugindir}/gkrellm-gamma.so

%files misc
%defattr(-, root, root)
%{gkplugindir}/seti.so
%{gkplugindir}/gkrelldnet.so
%{_bindir}/dnetw
#%{gkplugindir}/newsticker.so
%{gkplugindir}/gkrellmoon.so
#%{gkplugindir}/gkmouse.so
#%{gkplugindir}/earth_anim.so
%{gkplugindir}/gkrellaclock.so
%{gkplugindir}/gkrellweather.so
%{_bindir}/GrabWeather
%{gkplugindir}/gkrellkam2.so
%{_mandir}/man5/gkrellkam*
#%{gkplugindir}/taskman.so
%{gkplugindir}/gkrellflynn.so

%files utils
%defattr(-, root, root)
%{gkplugindir}/mailwatch.so
%{gkplugindir}/wireless.so
#%{gkplugindir}/reminder.so
#%{gkplugindir}/gkrinn.so
#%{gkplugindir}/glogwatch.so
%{gkplugindir}/gkacpi.so
#%{gkplugindir}/multiping.so
#%{gkplugindir}/pinger
#%{gkplugindir}/gkrellmwho.so
%{gkplugindir}/gkx86info.so
#%{gkplugindir}/consolewatch.so
%{gkplugindir}/gkrellshoot.so

#%files snmp
#%defattr(-, root, root)
#%{gkplugindir}/gkrellm_snmp.so

#%files gnome
#%defattr(-, root, root)
#%{gkplugindir}/gkrellm-gnome.so

%changelog
* Thu Nov 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated gkrellmms to 2.1.5.

* Wed Nov 20 2002 Ville Skytt <ville.skytta at iki.fi> - 2:2.1.0-fr5
- Updated gkrellweather, gkrellmms, gkrellmwireless and volume plugins.

* Tue Oct 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added gkrellm2 versions of gkrellmkam, gkx86 and gkrellmoon.

* Mon Oct 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Re-added gkrellmss, I missed that one!
- Replaced gkrellmPing by multiping (deactivated, bad binary search path!).
- Added Flynn ;-)

* Sat Oct 19 2002 Ville Skytt <ville.skytta at iki.fi> 2:2.1.0-fr2
- Re-added GkrellWeather.

* Fri Oct 11 2002 Ville Skytt <ville.skytta at iki.fi> 2:2.1.0-fr1
- Re-added GkACPI.
- Rebuild with GKrellM 2.1.0.

* Wed Oct  9 2002 Ville Skytt <ville.skytta at iki.fi> 2:2.0.4-fr2
- Re-added SETI@Home, built with patch from the author homepage.

* Sun Oct  6 2002 Ville Skytt <ville.skytta at iki.fi> 2:2.0.4-fr1
- Rebuild with Red Hat 8.0 and GKrellM 2.0.4.
- Update aclock, gkrelldnet, gkrellmms, volume, mailwatch, wireless, radio
  and gkrellshoot.
- Remove acpi, gkrinn, gamma, ping, mouse, snmp, gkrellmss, earth_anim,
  logwatch, seti, who, gnome, consolewatch, moon clock, newsticker, gkrellkam,
  reminder, x86info, taskman and weather for now (they don't build with 2.0
  or have missing requirements).

* Wed Jul 31 2002 Ville Skytt <ville.skytta at iki.fi> 2:1.2.13-fr1
- Updated gkacpi, gkrelldnet, gkrellshoot, gkrellm-radio, gkrellmms and
  consolewatch.
- Added gamma.
- Removed gkrellmms patch, no longer needed.
- Fixed incorrect note about gkrellmss in changelog of 1.2.11-fr1.
- Use $RPM_OPT_FLAGS when compiling.
- BuildRequires gtk+-devel and db1-devel.
- Rebuilt with GKrellM 1.2.13.

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.

* Tue Apr  2 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.11-fr1
- Added Gk-Taskman and GKrellShoot.
- Added a patch for gkrellmms to make it compile with 1.2.11.
- Updated aclock, gkrellkam, gkrellm-newsticker, radio, reminder and seti.
- Didn't update gkrellmss because 0.4 would require fftw, which we don't have.
- Rebuilt with GKrellM 1.2.11.

* Tue Jan  8 2002 Ville Skytt <ville.skytta at iki.fi>
- Updated seven plugins : seti, gkrelldnet, mailwatch, gkrellm-radio,
  gkrellkam, gkrellm-newsticker and reminder.
- GKrellKam now actually belongs to a package (misc) :)
- Added missing requirements for gnome, newsticker and snmp.
- Rebuilt with GKrellM 1.2.8

* Fri Oct 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated at last! So many plugins were added that I've decided to now
  package into categories and not as individual RPMs any more.
- New packages include : earth_anim, gkrellAclock, gkrellkam, newsticker,
  reminder, gkrellmoon, gkrinn, glogwatch, gkacpi, gkrellmouse,
  gkrellmPing, gkrellmwho, x86info, gkrellmss, gkrellm-gnome, consolewatch.
- FIXME : Need to add the Gnome applet :-)

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated five plugins : weather, dnet, mailwatch, snmp and radio.
- Rebuilt for Red Hat 7.1.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated three plugins : dnetc, seti and snmp.
- Added two plugins : radio and wireless.

* Tue Jan 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split all the plugins in individual packages.

* Mon Jan 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
